<template>
  <v-content
    color="secondary"
    fluid
  >
    <v-container
      text-center
      fluid
      class="px-0"
    >
      <v-row v-if="displayVerifiedMessage">
        <v-col>
          <v-snackbar
            v-model="snackbar"
            top
            multi-line
            color="info"
            vertical
          >
            <div>
              {{ $t('snackbar1') }}
              <a :href="$t('profileLink')">
                " {{ $t('myProfile') }} "
              </a>
              {{ $t('snackbar2') }}
            </div>
            <v-btn
              color="info"
              elevation="0"
              @click="snackbar = false"
            >
              <v-icon
                color="primary"
              >
                mdi-close
              </v-icon>
            </v-btn>
          </v-snackbar>
        </v-col>
      </v-row>

      <v-row v-if="displayDeleteAccount">
        <v-col>
          <v-snackbar
            v-model="snackbar"
            top
            multi-line
            color="info"
            vertical
          >
            <div>
              {{ $t('snackbar-account-delete') }}
            </div>
            <v-btn
              color="info"
              elevation="0"
              @click="snackbar = false"
            >
              <v-icon
                color="primary"
              >
                mdi-close
              </v-icon>
            </v-btn>
          </v-snackbar>
        </v-col>
      </v-row>
      <v-row v-if="displayUnsubscribeEmail">
        <v-col>
          <v-snackbar
            v-model="snackbar"
            top
            multi-line
            color="info"
            vertical
          >
            <div>
              {{ displayUnsubscribeEmail }}
            </div>
            <v-btn
              color="info"
              elevation="0"
              @click="snackbar = false"
            >
              <v-icon
                color="primary"
              >
                mdi-close
              </v-icon>
            </v-btn>
          </v-snackbar>
        </v-col>
      </v-row>

      <!-- Title and subtitle -->
      <div :style="'background-image:url(\''+$t('urlBackground')+'\');background-size:cover;background-position-y:top;'">
        <v-row
          align="center"
          justify="center"
          class="py-12"
        >
          <v-col
            cols="12"
            lg="5"
            class="text-center white"
          >
            <h1>{{ $t('title') }}</h1>
            <h3 v-html="$t('subtitle')" />
            <v-col v-if="additionalTextDisplay">
              <a
                :href="$t('urlArticle')"
                :alt="$t('altUrlArticle')"
                style="text-decoration:none;"
                color="secondary"
              >
                <h3>{{ $t("clickHere") }}</h3></a>
            </v-col>
            <search
              :geo-search-url="geoSearchUrl"
              :geo-complete-results-order="geoCompleteResultsOrder"
              :geo-complete-palette="geoCompletePalette"
              :geo-complete-chip="geoCompleteChip"
              :user="user"
              :regular="regular"
              :punctual-date-optional="punctualDateOptional"
              class-align-publish-button="text-right"
              class-align-search-button="text-left"
              :image-swap="$t('urlImageSwap')"
              full-size
            />
          </v-col>
        </v-row>
      </div>
      <v-row
        align="center"
        class="mt-5"
        justify="center"
      >
        <v-col
          cols="12"
          xl="6"
          lg="9"
          md="12"
        >
          <home-content
            :community-display="communityDisplay"
            :event-display="eventDisplay"
            :solidary-display="solidaryDisplay"
            :url-mobile="mobileUrl"
            :user-id="(user && user.id) ? user.id : null"
          />
        </v-col>
      </v-row>
    </v-container>
    <m-dialog
      v-if="isEecAvailable" 
      :eec-instance="eecInstance"
    />
  </v-content>
</template>

<script>
import {merge} from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/Home/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/Home/";
import Search from "@components/carpool/search/Search";
import HomeContent from "@clientComponents/home/HomeContent";
import MDialog from "@components/utilities/MDialog";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    Search,
    HomeContent,
    MDialog
  },
  props: {
    geoSearchUrl: {
      type: String,
      default: ""
    },
    user: {
      type: Object,
      default: null
    },
    regular: {
      type: Boolean,
      default: false
    },
    punctualDateOptional: {
      type: Boolean,
      default: false
    },
    debug: {
      type: Boolean,
      default: false
    },
    position: {
      type: String,
      default: ""
    },
    transitionName: {
      type: String,
      default: ""
    },
    solidaryDisplay: {
      type: Boolean,
      default: false
    },
    eventDisplay: {
      type: Boolean,
      default: false
    },
    displayDeleteAccount: {
      type: Number,
      default: 0
    },
    displayUnsubscribeEmail: {
      type: String,
      default: ""
    },
    communityDisplay: {
      type: Boolean,
      default: false
    },
    // params to add to the publish and search routes
    params: {
      type: Object,
      default: null
    },
    additionalTextDisplay: {
      type: Boolean,
      default: false
    },
    urlMobile: {
      type: String,
      default: null
    },
    informativeMessageActive: {
      type: Boolean,
      default: false
    },
    informativeMessageText: {
      type: String,
      default: null
    },
    geoCompleteResultsOrder: {
      type: Array,
      default: null
    },
    geoCompletePalette: {
      type: Object,
      default: () => ({})
    },
    geoCompleteChip: {
      type: Boolean,
      default: false
    },
    eecInstance: {
      type: Object,
      default: () => ({})
    }
  },
  data () {
    return {
      snackbar: true,
      displayVerifiedMessage: false,
      mobileUrl: this.urlMobile

    }
  },
  computed: {
    isEecAvailable() {
      return this.eecInstance && this.eecInstance.available;
    }
  },
  mounted() {
    this.checkVerifiedPhone();
  },
  methods:{
    checkVerifiedPhone() {
      if (this.user !==null && this.user.telephone !== null) {
        this.displayVerifiedMessage = this.user.phoneValidatedDate ? false : true;
      }
    }
  }
};
</script>